package com.yanzuoguang.util.extend;

import com.yanzuoguang.util.log.RunnableLog;

/**
 * 配置参数
 * @author 颜佐光
 */
public class ConfigBase {

    /**
     * 打印线程相关参数
     */
    public static final boolean PRINT_THREAD = false;

    /**
     * 内存缓存自动清除时间
     */
    public static final int MEMORY_CLEAR_TIMEOUT = 5 * 1000;

    /**
     * 写入日志对象
     */
    private static RunnableLog writeLog;

    public static RunnableLog getWriteLog() {
        return writeLog;
    }

    public static void setWriteLog(RunnableLog writeLog) {
        ConfigBase.writeLog = writeLog;
    }
}
